lopsubgen(1)

NAME
lopsubgen - convert a lobsup suite into C or roff format

SYNOPSIS
lopsubgen [--help] [--version] [--output-dir=<dir>] [--gen-c[=<path>]] [--gen-header[=<path>]] [--gen-man[=<path>]] [--version-string=<string>]

DESCRIPTION

The lopsubgen command reads a lobsub suite from stdin and converts it to zero or more output formats. If no output format is specified, the input is only checked for syntactic correctness.

The format of the input (the lopsub suite) is described in lopsub-suite(5).

OPTIONS

  General options

-h, --help
    print help and exit (give twice for detailed help)

-V, --version
    print version and exit

-o, --output-dir=<dir>
    where to write output file(s)

    default: .

    The default is to create all output files in the current working directory.

--gen-c[=<path>]
    generate C output

    This produces a C file containing the definition of a subsub suite structure.

    If <path> is absolute, the output is written to this path and the argument to --output-dir is ignnored. Otherwise, the output path is relative to the value of the --output-dir option.

    If the optional argument is not given, the output file name is derived from the suite name by appending the string ".lsg.c".

--gen-header[=<path>]
    generate a .h file

    The generated header file is intended to be included from the application. It defines handy C enums and preprocessor macros like the number of commands defined in the suite.

    The path for the generated header file is determined in the same way as for C output, see --gen-c.

  Options for man output

--gen-man[=<path>]
    generate the man page

    If this is not given, all subsequent options in this section are ignored.

    The path for the output file is determined in the same way as for C output, see --gen-c.

--version-string=<string>
    override version string

    If this option is given, its argument is used as the version string while the value of the version-string directive of the suite is ignored. This is useful for applications which dynamically create the version string by running a command like git-describe.

COPYRIGHT

Written by Andre Noll
Copyright (C) 2016 Andre Noll
License: GNU GPL version 3, http://www.gnu.org/licenses/gpl-3.0.html
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Report bugs to Andre Noll (<maan@tuebingen.mpg.de>)

SEE ALSO

lopsub-suite(5), lopsub(7)

Homepage: http://people.tuebingen.mpg.de/~maan/lopsub